Create parking assignment
curl --request POST \
--url https://www.carstoragesoftware.com/api/v1/parking-assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "2023-11-07T05:31:56Z",
"parkingSpotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parkingZoneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"carId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"endDate": "2023-11-07T05:31:56Z",
"assignmentType": "<string>",
"notes": "<string>",
"status": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: '2023-11-07T05:31:56Z',
parkingSpotId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parkingZoneId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
vendorId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
carId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
locationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
endDate: '2023-11-07T05:31:56Z',
assignmentType: '<string>',
notes: '<string>',
status: '<string>'
})
};
fetch('https://www.carstoragesoftware.com/api/v1/parking-assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/parking-assignments"
payload = {
"startDate": "2023-11-07T05:31:56Z",
"parkingSpotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parkingZoneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"carId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"endDate": "2023-11-07T05:31:56Z",
"assignmentType": "<string>",
"notes": "<string>",
"status": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parkingSpotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parkingZoneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"carId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"assignmentType": "<string>",
"notes": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Parking assignments
Create parking assignment
Requires write:parking.
POST
/
api
/
v1
/
parking-assignments
Create parking assignment
curl --request POST \
--url https://www.carstoragesoftware.com/api/v1/parking-assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "2023-11-07T05:31:56Z",
"parkingSpotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parkingZoneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"carId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"endDate": "2023-11-07T05:31:56Z",
"assignmentType": "<string>",
"notes": "<string>",
"status": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: '2023-11-07T05:31:56Z',
parkingSpotId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parkingZoneId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
vendorId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
carId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
locationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
endDate: '2023-11-07T05:31:56Z',
assignmentType: '<string>',
notes: '<string>',
status: '<string>'
})
};
fetch('https://www.carstoragesoftware.com/api/v1/parking-assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/parking-assignments"
payload = {
"startDate": "2023-11-07T05:31:56Z",
"parkingSpotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parkingZoneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"carId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"endDate": "2023-11-07T05:31:56Z",
"assignmentType": "<string>",
"notes": "<string>",
"status": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parkingSpotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parkingZoneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"carId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"assignmentType": "<string>",
"notes": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Authorizations
Team API key from Settings → Integrations. Use Authorization: Bearer <key> or x-api-key.
Body
application/json
Response
Created.
Show child attributes
Show child attributes
Was this page helpful?
⌘I